## com.google.appengine.api.datastore
Enum Query.FilterOperator

    java.lang.Object
      java.lang.Enum<Query.FilterOperator>
          com.google.appengine.api.datastore.Query.FilterOperator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Query.FilterOperator>

Enclosing class:
  Query

    public static enum Query.FilterOperator

extends java.lang.Enum<Query.FilterOperator>

FilterOperator specifies what type of operation you want to apply to your filter.

Enum Constant Summary
`EQUAL`
`GREATER_THAN`
`GREATER_THAN_OR_EQUAL`
`IN`
`LESS_THAN`
`LESS_THAN_OR_EQUAL`
`NOT_EQUAL`

Method Summary
`java.lang.String` `toString()`
`static Query.FilterOperator` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Query.FilterOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LESS_THAN

    public static final Query.FilterOperator LESS_THAN

### LESS_THAN_OR_EQUAL

    public static final Query.FilterOperator LESS_THAN_OR_EQUAL

### GREATER_THAN

    public static final Query.FilterOperator GREATER_THAN

### GREATER_THAN_OR_EQUAL

    public static final Query.FilterOperator GREATER_THAN_OR_EQUAL

### EQUAL

    public static final Query.FilterOperator EQUAL

### NOT_EQUAL

    public static final Query.FilterOperator NOT_EQUAL

### IN

    public static final Query.FilterOperator IN

Method Detail

### values

    public static Query.FilterOperator[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Query.FilterOperator c : Query.FilterOperator.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Query.FilterOperator valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<Query.FilterOperator>`